var React = require('react');

module.exports = React.createClass({
	displayName: "exports",

	__renderSchemaFormData: function __renderSchemaFormData(data) {
		console.log(data);
		if (data) {
			var _data = JSON.parse(data);
			return React.createElement(
				zn.react.Group,
				{ title: "\u81EA\u5B9A\u4E49\u8868\u5355", className: "schema-form-data" },
				React.createElement(
					"ul",
					null,
					Object.keys(_data).map(function (key) {
						return React.createElement(
							"li",
							{ className: "item" },
							React.createElement(
								"div",
								{ className: "key" },
								key
							),
							React.createElement(
								"div",
								{ className: "value" },
								_data[key]
							)
						);
					})
				)
			);
		} else {
			return null;
		}
	},
	__renderFiles: function __renderFiles(files) {
		return React.createElement(
			"div",
			null,
			files
		);
	},
	render: function render() {
		return React.createElement(
			"div",
			{ className: "zn-plugin-workflow-instance-flow-step zn-plugin-workflow-panel" },
			React.createElement(
				"div",
				{ className: "title" },
				React.createElement(
					"span",
					null,
					"\u5F53\u524D\u72B6\u6001\uFF1A",
					this.props.current.zn_title
				)
			),
			React.createElement(
				"div",
				{ className: "content" },
				React.createElement(
					"ul",
					{ className: "steps" },
					this.props.data.map(function (value) {
						if (value.type == 'end') {
							value.state = 2;
						}
						return React.createElement(
							"li",
							{ className: "step state-" + value.state + ' type-' + value.type },
							React.createElement(
								"div",
								{ className: "title" },
								value.zn_title
							),
							React.createElement(
								"div",
								{ className: "dot" },
								React.createElement("i", { className: 'fa ' + (value.state == 1 ? 'fa-pencil-square-o' : 'fa-check') })
							),
							React.createElement(
								"div",
								{ className: "detail" },
								React.createElement(
									"div",
									{ className: "user" },
									value.zn_modify_user || '☆☆☆'
								),
								React.createElement(
									"div",
									{ className: "time" },
									value.zn_modify_time || value.zn_create_time
								)
							)
						);
					})
				),
				React.createElement(
					"ul",
					{ className: "steps-detail" },
					this.props.data.map(function (value) {
						if (value.state == 1 || value.type == 'end') {
							return null;
						}

						return React.createElement(
							"li",
							{ className: "step state-" + value.state + ' type-' + value.type },
							React.createElement(
								"div",
								{ className: "step-header" },
								React.createElement(
									"span",
									null,
									"[ ",
									value.zn_modify_user,
									" ] ",
									value.zn_title
								),
								React.createElement(
									"span",
									null,
									value.zn_modify_time || value.zn_create_time
								)
							),
							React.createElement(
								"div",
								{ className: "step-content" },
								this.__renderSchemaFormData(value.schema_form_data),
								React.createElement(
									"div",
									{ className: "note" },
									value.zn_note
								),
								React.createElement(
									"div",
									{ className: "files" },
									React.createElement(
										"div",
										{ className: "title" },
										"\u9644\u4EF6"
									),
									this.__renderFiles(value.files)
								)
							)
						);
					}.bind(this))
				)
			)
		);
	}
});